curl --request GET \
--url https://api.example.com/api/v1/invoices \
--header 'Authorization: Bearer <token>'{
"data": [
{
"amount_due": 123,
"applied_credits": 123,
"coupons": [
{
"coupon_id": "<string>",
"name": "<string>",
"total": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"currency": "AED",
"customer_details": {
"id": "<string>",
"name": "<string>",
"snapshot_at": "2023-11-07T05:31:56Z",
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"email": "<string>",
"vat_number": "<string>"
},
"customer_id": "<string>",
"id": "<string>",
"invoice_date": "2023-12-25",
"invoice_number": "<string>",
"invoice_type": "Recurring",
"line_items": [
{
"amount_total": 123,
"end_date": "2023-12-25",
"name": "<string>",
"start_date": "2023-12-25",
"sub_line_items": [
{
"id": "<string>",
"name": "<string>",
"quantity": "<string>",
"total": 123,
"unit_price": "<string>"
}
],
"tax_rate": "<string>",
"description": "<string>",
"quantity": "<string>",
"unit_price": "<string>"
}
],
"net_terms": 123,
"payment_status": "Unpaid",
"status": "Draft",
"subtotal": 123,
"subtotal_recurring": 123,
"tax_amount": 123,
"tax_breakdown": [
{
"name": "<string>",
"tax_amount": 1,
"tax_rate": "<string>",
"taxable_amount": 1,
"exemption_type": "ReverseCharge"
}
],
"total": 123,
"transactions": [
{
"amount": 1,
"currency": "<string>",
"id": "<string>",
"payment_type": "Payment",
"status": "Ready",
"error": "<string>",
"payment_method_id": "pm_7n42DGM5Tflk9n8mt7Fhc7",
"payment_method_info": {
"payment_method_type": "Card",
"account_number_hint": "<string>",
"card_brand": "<string>",
"card_last4": "<string>"
},
"processed_at": "2023-11-07T05:31:56Z",
"provider_transaction_id": "<string>"
}
],
"due_date": "2023-12-25",
"finalized_at": "2023-11-07T05:31:56Z",
"marked_as_uncollectible_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"purchase_order": "<string>",
"reference": "<string>",
"subscription_id": "sub_7n42DGM5Tflk9n8mt7Fhc7",
"updated_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z"
}
],
"pagination_meta": {
"page": 1,
"per_page": 1,
"total_items": 1,
"total_pages": 1
}
}List invoices with optional filtering by customer, subscription, or status.
curl --request GET \
--url https://api.example.com/api/v1/invoices \
--header 'Authorization: Bearer <token>'{
"data": [
{
"amount_due": 123,
"applied_credits": 123,
"coupons": [
{
"coupon_id": "<string>",
"name": "<string>",
"total": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"currency": "AED",
"customer_details": {
"id": "<string>",
"name": "<string>",
"snapshot_at": "2023-11-07T05:31:56Z",
"alias": "<string>",
"billing_address": {
"city": "<string>",
"country": "US",
"line1": "<string>",
"line2": "<string>",
"state": "<string>",
"zip_code": "<string>"
},
"email": "<string>",
"vat_number": "<string>"
},
"customer_id": "<string>",
"id": "<string>",
"invoice_date": "2023-12-25",
"invoice_number": "<string>",
"invoice_type": "Recurring",
"line_items": [
{
"amount_total": 123,
"end_date": "2023-12-25",
"name": "<string>",
"start_date": "2023-12-25",
"sub_line_items": [
{
"id": "<string>",
"name": "<string>",
"quantity": "<string>",
"total": 123,
"unit_price": "<string>"
}
],
"tax_rate": "<string>",
"description": "<string>",
"quantity": "<string>",
"unit_price": "<string>"
}
],
"net_terms": 123,
"payment_status": "Unpaid",
"status": "Draft",
"subtotal": 123,
"subtotal_recurring": 123,
"tax_amount": 123,
"tax_breakdown": [
{
"name": "<string>",
"tax_amount": 1,
"tax_rate": "<string>",
"taxable_amount": 1,
"exemption_type": "ReverseCharge"
}
],
"total": 123,
"transactions": [
{
"amount": 1,
"currency": "<string>",
"id": "<string>",
"payment_type": "Payment",
"status": "Ready",
"error": "<string>",
"payment_method_id": "pm_7n42DGM5Tflk9n8mt7Fhc7",
"payment_method_info": {
"payment_method_type": "Card",
"account_number_hint": "<string>",
"card_brand": "<string>",
"card_last4": "<string>"
},
"processed_at": "2023-11-07T05:31:56Z",
"provider_transaction_id": "<string>"
}
],
"due_date": "2023-12-25",
"finalized_at": "2023-11-07T05:31:56Z",
"marked_as_uncollectible_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"purchase_order": "<string>",
"reference": "<string>",
"subscription_id": "sub_7n42DGM5Tflk9n8mt7Fhc7",
"updated_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z"
}
],
"pagination_meta": {
"page": 1,
"per_page": 1,
"total_items": 1,
"total_pages": 1
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter by customer ID or alias
"sub_7n42DGM5Tflk9n8mt7Fhc7"
Draft, Finalized, Uncollectible, Void Page number (0-indexed)
x >= 0Number of items per page
1 <= x <= 100